local res = NMGuildHallMediaRes
local LAM2 = LibAddonMenu2

function NMGuildHall:InitializeChatIcon()
    local ptoGHall = WINDOW_MANAGER:CreateControl("NMGuildHall1", ZO_ChatWindow, CT_BUTTON)
    ptoGHall:SetDimensions(28, 28)
    ptoGHall:SetAnchor(TOPLEFT, ZO_ChatOptionsSectionLabel, TOPRIGHT, -105, 8)
    ptoGHall:SetHandler("OnMouseEnter", function(control)
        InitializeTooltip(InformationTooltip, control)
        SetTooltipText(InformationTooltip, "Neli's Misfits", 1, 1, 1, LEFT, MODIFY_TEXT_TYPE_NONE, TEXT_ALIGN_CENTER, true)
    end)
    ptoGHall:SetHandler("OnMouseExit", function(_)
        ClearTooltip(InformationTooltip)
    end)

    ptoGHall:SetHandler("OnClicked", function(...)
        local entries = {
            {
                label = res.IconGMHouse .. GetString(NELI_MISFIT_PORT_GUILDHOUSE),
                callback = function()
                    NMGuildHall:PortToHouse("@neli.serendipity", 41, res.IconNM .. res.Ccolor1 .. " " .. GetString(NELI_MISFIT_CHAT_GUILDHOUSE))
                end,
            }
        }

        local entries2 = {
            {
                label = res.IconGrpShare .. GetString(NELI_MISFIT_SHARE_ALLDAILIES),
                callback = function()
                    self:ShareAllDailies()
                end,
            },
            {
                label = res.IconGrpShare .. GetString(NELI_MISFIT_SHARE_ZONEDAILIES),
                callback = function()
                    self:ShareZoneDailies()
                end,
            },
            {
                label = res.IconGrpLead .. GetString(NELI_MISFIT_PORT_GROUPLEADER),
                callback = function()
                    JumpToGroupLeader()
                end,
            },
            {
                label = "-",
            },
            {
                label = res.IconGrpLeave .. GetString(NELI_MISFIT_GROUPLEAVE),
                callback = function()
                    GroupLeave()
                end,
            }
        }

        local entries3 = self:CreateTeleportEntryList()

        local entries4 = self:CreateTeleportNodeEntryList()

        ClearMenu()
        AddCustomSubMenuItem("" .. res.IconGHouse .. GetString(NELI_MISFIT_GUILD_HOUSES), entries, normalColor)

        AddCustomMenuItem(res.IconGHouse .. "Primary Residence", function() RequestJumpToHouse(GetHousingPrimaryHouse()) end)

        --AddCustomSubMenuItem("" .. res.IconGMHouse .. GetString(NELI_MISFIT_HOUSING_EVENT_NAME), entries5, normalColor)

        if (IsUnitGrouped("player")) then
            AddCustomMenuItem("-", function()
            end)
            AddCustomSubMenuItem("" .. res.IconGrpTool .. GetString(NELI_MISFIT_BUTTON_GROUPTOOL), entries2, normalColor)
        end

        AddCustomMenuItem("-", function()
        end)
        AddCustomSubMenuItem("" .. res.IconWay .. GetString(NELI_MISFIT_PORT_BUTTON_TELEPORT), entries3, normalColor)
        AddCustomSubMenuItem("" .. res.IconWay .. GetString(NELI_MISFIT_PORT_BUTTON_TELEPORTWAY) .. " " .. GetRecallCost(node) .. res.IconGold, entries4, normalColor)
        AddCustomMenuItem("-", function()
        end)
        AddCustomMenuItem("" .. res.IconPld .. GetString(NELI_MISFIT_PLEDGES_BUTTON), function()
            self:ListPledges()
        end)
        AddCustomMenuItem("-", function()
        end)
        AddCustomMenuItem(res.IconWeb .. GetString(NELI_MISFIT_OUR_TWITCH), function()
            RequestOpenUnsafeURL("https://twitch.tv/neliserendipity")
        end)
        AddCustomMenuItem(res.IconOpt .. GetString(NELI_MISFIT_BUTTON_SETTINGS), function()
            LAM2:OpenToPanel(self.panel)
        end)
        AddCustomMenuItem("-", function()
        end)
        AddCustomMenuItem(res.IconRldUI .. "ReloadUI", function()
            ReloadUI()
        end)
        ShowMenu()
    end)
    self.chatIcon = ptoGHall
end

function NMGuildHall:ShowChatIcon(show)
    self.chatIcon:SetHidden(not show)
end

function NMGuildHall:SetChatIconTexture(monochrome)
    self.chatIcon:SetNormalTexture(monochrome and "NMGuildHall/Icons/NMGUILD_mono.dds" or "NMGuildHall/Icons/NMGUILD.dds")
    self.chatIcon:SetPressedTexture(monochrome and "NMGuildHall/Icons/NMGUILD_mono_pressed.dds" or "NMGuildHall/Icons/NMGUILD_pressed.dds")
    self.chatIcon:SetMouseOverTexture("NMGuildHall/Icons/NMGUILD_over.dds")
end
