local pled = NMGuildHallPledges
local res = NMGuildHallMediaRes

function NMGuildHall:ShareAllDailies()
    CHAT_ROUTER:AddSystemMessage(res.IconNM .. res.Ccolor1 .. " " .. GetString(NELI_MISFIT_CHAT_SHARING_ALL) .. "|r")
    local quest_count = 0
    for i = 1, GetNumJournalQuests() do
        -- variables for collecting data from ESO API GetJournalQuestLocationInfo(i)
		local tZoneName
		local tObjName
		local tZoneIndex
		local tPOI_index
		--
		tZoneName, tObjName, tZoneIndex, tPOI_index = GetJournalQuestLocationInfo(i)
		--
        if GetJournalQuestRepeatType(i) == QUEST_REPEAT_DAILY and GetIsQuestSharable(i) then
            -- Skips sharing dailies from Cyro & IC.  
			-- Both can still be specifically shared via the zone dailies share option.
			if (tZoneName ~= "Cyrodiil") and (tZoneName ~= "Imperial City") then  -- LUA uses ~= as meaning NOT EQUAL.
                ShareQuest(i)
                CHAT_ROUTER:AddSystemMessage(res.IconNM .. res.Ccolor2 .. " " .. '"' .. GetJournalQuestName(i) .. '"' .. "|r")
                quest_count = quest_count + 1
            end
        end
    end
    if quest_count == 0 then
        CHAT_ROUTER:AddSystemMessage(res.IconNM .. res.Ccolor3 .. " " .. GetString(NELI_MISFIT_NO_QUESTS_TO_SHARE) .. "|r")
    end
    if quest_count >= 1 then
        CHAT_ROUTER:AddSystemMessage(res.IconNM .. res.Ccolor1 .. " " .. GetString(NELI_MISFIT_CHAT_SHARED) .. " " .. quest_count .. "|r")
    end
end

function NMGuildHall:ShareZoneDailies()
    local pZone = GetPlayerActiveZoneName()
    -- Adjust for odd combo zones regarding dailies.
	if pZone == "Fargrave" then
		pZone = "The Deadlands"
	elseif pZone == "Blackreach: Greymoor Caverns" then
		pZone = "Western Skyrim"
	elseif pZone == "Blackreach: Arkthzand Cavern" then
		pZone = "The Reach"
	end
    
    CHAT_ROUTER:AddSystemMessage(res.IconNM .. res.Ccolor1 .. " " .. GetString(NELI_MISFIT_CHAT_SHARING) .. '"' .. pZone .. '"' .. GetString(NELI_MISFIT_CHAT_DAILIES_GROUP) .. "|r")
    local quest_count = 0
    for i = 1, GetNumJournalQuests() do
        if GetJournalQuestRepeatType(i) == QUEST_REPEAT_DAILY and GetIsQuestSharable(i) then
            if string.find(GetJournalQuestLocationInfo(i), pZone) then
                ShareQuest(i)
                CHAT_ROUTER:AddSystemMessage(res.IconNM .. res.Ccolor2 .. " " .. '"' .. GetJournalQuestName(i) .. '"' .. "|r")
                quest_count = quest_count + 1
            end
        end
    end
    if quest_count == 0 then
        CHAT_ROUTER:AddSystemMessage(res.IconNM .. res.Ccolor3 .. " " .. GetString(NELI_MISFIT_CHAT_NO_DAILIES_TO_SHARE) .. "|r")
    end
    if quest_count >= 1 then
        CHAT_ROUTER:AddSystemMessage(res.IconNM .. res.Ccolor1 .. " " .. GetString(NELI_MISFIT_CHAT_SHARED) .. " " .. quest_count .. "|r")
    end
end

function NMGuildHall:ListPledges()
    CHAT_ROUTER:AddSystemMessage(res.IconNM .. res.Ccolor1 .. " " .. GetString(NELI_MISFIT_PLEDGES_CHAT_DATE) .. pled.date .. ": ")
    local daysSinceOrigin = (os.time() - 1615183200) / 60 / 60 / 24; 
    local npcCount = #pled.dailies

    for i = 1, npcCount, 1 do
        local row = pled.dailies[i]
        local maxIds = #row

        local actualIdF = 1 + daysSinceOrigin % maxIds

        local actualId = math.floor(actualIdF)
        

        CHAT_ROUTER:AddSystemMessage(res.Ccolor2 .. pled.dailies[i][actualId][1] .. " " .. "-" .. " " .. pled.npcNames[i])

    end
end
