local LAM2 = LibAddonMenu2
local leaveOption = { GetString(NELI_MISFIT_SETTINGS_NOGUILDLEAVE_CHOICE_0), GetString(NELI_MISFIT_SETTINGS_NOGUILDLEAVE_CHOICE_1), GetString(NELI_MISFIT_SETTINGS_NOGUILDLEAVE_CHOICE_2) }
local leaveOptionLookup = { [GetString(NELI_MISFIT_SETTINGS_NOGUILDLEAVE_CHOICE_0)] = 0, [GetString(NELI_MISFIT_SETTINGS_NOGUILDLEAVE_CHOICE_1)] = 1, [GetString(NELI_MISFIT_SETTINGS_NOGUILDLEAVE_CHOICE_2)] = 2 }

function NMGuildHall:InitializeMenu()
    local panelData = {
        type = "panel",
        name = self.addonName,
        displayName = self.displayName,
        author = "SassyKyle",
        version = "6.0",
        slashCommand = "/misfit",
        registerForRefresh = true,
        registerForDefaults = true,
    }

    local optionsTable = {
        {
            type = "header",
            name = GetString(NELI_MISFIT_SETTINGS_HEADER_GENERAL),
            width = "full",
        },
        {
            type = "checkbox",
            name = GetString(NELI_MISFIT_SETTINGS_CHAT_ICON),
            getFunc = function()
                return self.db.showChatIcon
            end,
            setFunc = function(show)
                self.db.showChatIcon = show
                self:ShowChatIcon(show)
            end,
        },
        {
            type = "checkbox",
            name = GetString(NELI_MISFIT_SETTINGS_MONOCHROME_ICON),
            getFunc = function()
                return self.db.monochromeIcon
            end,
            setFunc = function(monochrome)
                self.db.monochromeIcon = monochrome
                self:SetChatIconTexture(monochrome)
            end,
            disabled = function()
                return not self.db.showChatIcon
            end
        },
        {
            type = "dropdown",
            name = GetString(NELI_MISFIT_SETTINGS_NOGUILDLEAVE),
            tooltip = GetString(NELI_MISFIT_SETTINGS_TOOLTIP_NOGUILDLEAVE),
            choices = leaveOption,
            getFunc = function()
                return leaveOption[self.db.noGuildLeave + 1]
            end,
            setFunc = function(value)
                self.db.noGuildLeave = leaveOptionLookup[value]
                self:CheckNoGuildLeave()
            end,
            default = leaveOption[self.defaults.noGuildLeave + 1],
        },
    }

    self.panel = LAM2:RegisterAddonPanel(self.name .. "Options", panelData)
    LAM2:RegisterOptionControls(self.name .. "Options", optionsTable)
end
