NMGuildHall = {
    db = nil,
    guildId = 716827,
    name = "NMGuildHall",
    addonName = "NMGuildHall",
    displayName = "|cea4e49Neli's Misfits Guild Hall|r",
    defaults = {
        showChatIcon = true,
        monochromeIcon = false,
        noGuildLeave = 0,
    },
    panel = nil,
    chatIcon = nil
}

function NMGuildHall:Initialize()
    self.db = ZO_SavedVars:NewAccountWide("NeliMisfitsSavedVars", 1, nil, self.defaults)

    self:InitializeMenu()
    self:InitializeChatIcon()
    self:InitializeNoGuildLeave()
    self:ShowChatIcon(self.db.showChatIcon)
    self:SetChatIconTexture(self.db.monochromeIcon)
end

function NMGuildHall.OnAddOnLoaded(_, addon)
    if addon == NMGuildHall.name then
        NMGuildHall:Initialize()
    end
end

function NMGuildHall:CheckNoGuildLeave()
    if NMGuildHall.db.noGuildLeave == 1 and GUILD_HOME.guildId == NMGuildHall.guildId then
        GUILD_HOME.keybindStripDescriptor[1].visible = function()
            return false
        end
    elseif NMGuildHall.db.noGuildLeave == 2 then
        GUILD_HOME.keybindStripDescriptor[1].visible = function()
            return false
        end
    else
        GUILD_HOME.keybindStripDescriptor[1].visible = function()
            return true
        end
    end

end

function NMGuildHall:InitializeNoGuildLeave()
    ZO_PreHook(GUILD_HOME, "RefreshAll", NMGuildHall.CheckNoGuildLeave)
end

EVENT_MANAGER:RegisterForEvent(NMGuildHall.name, EVENT_ADD_ON_LOADED, NMGuildHall.OnAddOnLoaded)

